# sb_celp.h File Reference

Sub-band CELP mode used for wideband encoding. More...

`#include "modes.h"`
`#include <speex/speex_bits.h>`
`#include "nb_celp.h"`

## Classes

struct | SBEncState
struct | SBDecState

## Functions

void * | sb_encoder_init (const SpeexMode *m)
void | sb_encoder_destroy (void *state)
int | sb_encode (void *state, void *in, SpeexBits *bits)
void * | sb_decoder_init (const SpeexMode *m)
void | sb_decoder_destroy (void *state)
int | sb_decode (void *state, SpeexBits *bits, void *out)

## Detailed Description

Sub-band CELP mode used for wideband encoding.

## Function Documentation

int sb_decode | ( | void * | state,
|  | SpeexBits * | bits,
|  | void * | out |
| ) |  |  |

Decodes one frame

void sb_decoder_destroy | ( | void * | state | ) |

De-allocates decoder state resources

void* sb_decoder_init | ( | const SpeexMode * | m | ) |

Initializes decoder state

int sb_encode | ( | void * | state,
|  | void * | in,
|  | SpeexBits * | bits |
| ) |  |  |

Encodes one frame

void sb_encoder_destroy | ( | void * | state | ) |

De-allocates encoder state resources

void* sb_encoder_init | ( | const SpeexMode * | m | ) |

Initializes encoder state